Base URL: https://demo-api.incodesmile.com — Incode demo environment
Validate a social security number and the person associated with it.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
ssn |
string | Person's social security number | |
dateOfBirth |
string (YYYY-MM-DD) | Person's birthdate | |
firstName |
string | Person's first name | |
lastName |
string | Person's last name | |
middleName |
string | Person's middle name | |
email |
string | Person's email |
Responses
200
- requestId: Int. Response's status, check catalog. - ssnValid: Boolean. Indicates if ssn information sent is valid. - deceasedPerson: Boolean. Indicates if information sent corresponds to a deceased person. - errorCode: String. Error code in case something goes wrong. - errorCodeDescription: String. Error description in case something goes wrong or if ssn is not valid.
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |